%define name krubik
%define version 1.06
%define release 11mdk
%define kde1dir %{_libdir}/kde1-compat

Summary: %{name} - a 3D model of the Rubik's Cube.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp.kde.org/pub/kde/stable/1.1.1/apps/utils/%{name}-%{version}.tar.bz2
Source1: krubik_menuentry
Source2: krubik_16.xpm
Source3: krubik.xpm
Copyright: GPL
Group: Games/Puzzles
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: kdebase qt >= 1.44

%description
Rubik's Kube is a 3D model of the famous Rubik's Cube. The progam
allows turning and twising of the cube. Loadand and saving the cube
has been implmented as well as some other features.

%prep
%setup -q

%build
export KDEDIR=%{kde1dir}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{kde1dir} --exec-prefix=%{kde1dir} --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
export KDEDIR=%{_prefix}

make prefix=$RPM_BUILD_ROOT%{kde1dir} \
exec_prefix=$RPM_BUILD_ROOT%{kde1dir} \
kde_bindir=$RPM_BUILD_ROOT%{kde1dir}/bin \
kde_appsdir=$RPM_BUILD_ROOT%{kde1dir}/share/applnk \
kde_htmldir=$RPM_BUILD_ROOT%{_docdir}/kde1/HTML \
kde_datadir=$RPM_BUILD_ROOT%{kde1dir}/share/apps \
bindir=$RPM_BUILD_ROOT%{_bindir} \
kde_icondir=$RPM_BUILD_ROOT%{_iconsdir} \
kde_minidir=$RPM_BUILD_ROOT%{_miconsdir} install

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_menudir}/krubik

# (fg) Small icon
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}/mini
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/%{_miconsdir}/krubik.xpm
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/%{_iconsdir}/krubik.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}


%files
%defattr(-,root,root,755)
%doc %{_docdir}/kde1/HTML/*/*
%{_bindir}/*
%{_menudir}/krubik
%kde1dir/share/apps/*
#%kde1dir/share/locale/*
%{_iconsdir}/krubik.xpm
%{_miconsdir}/krubik.xpm

%changelog
* Mon Oct 9 2000 Montel Laurent <lmontel@mandrakesoft.com> 1.06-11mdk
- Remove mimetype and internationalisation

* Tue Aug 22 2000 Vincent Saugey <vince@mandrakesoft.com> 1.06-10mdk
- BM + macroszification
- kde1-compat

* Mon Apr 17 2000 Francis Galiegue <fg@mandrakesoft.com> 1.06-9mdk

- Hmm... Fuzzy Release, Change Release (tm)

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 1.06-7mdk

- post and postun scripts for menu

* Wed Mar 29 2000 Francis Galiegue <fg@mandrakesoft.com> 1.06-8mdk

- Don't use prefix
- Don't use autogenerated file list
- Small icon
- Menu entry
- Changed group
- Build in /var/tmp, not /tmp

* Mon Dec  6 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- Manually move documentation to /usr/doc/kde

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the requirement of kdebase cvs.

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rewriting the spec file.
- Build release.

# end of file
